#!/bin/sh
SCRIPTS_PATH=$('pwd')
MODULE_NAME='transmissao'
MCSV_PATH="$('pwd')/../"
PACKAGE_VERSION="1.2.27"

echo 'Back Steps -----------------------------------------------------'
cd ../backend
echo $('pwd')
rm -Rf vendor
rm composer.lock
composer clear-cache
composer update

echo 'Update package version ---------------------------------------------------'
cd $MCSV_PATH/mobile
$SCRIPTS_PATH/replace.sh "<>APPLICATION_VERSION<>" $PACKAGE_VERSION "bower.json"
cd ..
cd backend/service
$SCRIPTS_PATH/replace.sh "<>APPLICATION_VERSION<>" $PACKAGE_VERSION "bower.json"

echo 'Update db.xml ------------------------------------------------------------'
cd ../config
$SCRIPTS_PATH/db_mnemonics.sh $SCRIPTS_PATH "mobile-tools.teknisa.com" "27081"
$SCRIPTS_PATH/replace.sh "../service/index.php"			"backend_transmissao/index.php"	 	"parameters.xml"

cat ./parameters.xml
